KAccelString Class Reference

`#include <kaccelmanager_private.h>`

## Public Member Functions

| KAccelString (const QString &input, int initalWeight=-1)
void | calculateWeights (int initialWeight)
const QString & | pure () const
QString | accelerated () const
int | accel () const
void | setAccel (int accel)
int | originalAccel () const
QString | originalText () const
QChar | accelerator () const
int | maxWeight (int &index, const QString &used)
bool | operator== (const KAccelString &c) const

## Detailed Description

A string class handling accelerators.

This class contains a string and knowledge about accelerators. It keeps a list weights, telling how valuable each character would be as an accelerator.

Author
  Matthias Hoelzer-Kluepfel mhk@k.nosp@m.de.o.nosp@m.rg

Definition at line 42 of file kaccelmanager_private.h.

The documentation for this class was generated from the following files:

- kaccelmanager_private.h
- kaccelmanager.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys